Summary: A front end for testing other programs.
Name: dejagnu
Version: 1.4.2
Release: 10.XOS.1
Epoch: 1
Copyright: GPL
Source: ftp://ftp.gnu.org/gnu/dejagnu/dejagnu-1.4.2.tar.bz2
Patch0: doc-Makefile.patch
Patch1: dejagnu-1.4.2-makefile-style-arg.patch
Group: Development/Tools
Requires: tcl >= 8.0, expect >= 5.21
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
BuildRequires: jadetex docbook-utils-pdf tetex-dvips

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q -n dejagnu-%{version}
%patch0 -p1
%patch1 -p1
find . -name \*.rej -exec rm {} \;

%build
%configure -v
make
make overview.{html,ps,pdf}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

pushd doc
make docs
make man1dir=%{buildroot}%{_mandir}/man1 install-man
popd

mv $RPM_BUILD_ROOT%{_libexecdir}/config.guess $RPM_BUILD_ROOT%{_datadir}/dejagnu
rm -rf $RPM_BUILD_ROOT%{_libexecdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS README AUTHORS INSTALL ChangeLog doc/overview doc/overview.{ps,pdf}
%{_bindir}/runtest
%{_datadir}/dejagnu
%{_includedir}/dejagnu.h
%{_mandir}/*/*

 
%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1:1.4.2-10.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on dejagnu-1.4.2-10.src.rpm
  (md5sum of original source rpm: e50a166b846fbb4d60d75b9088f97406).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 30 2002 Karsten Hopp <karsten@redhat.de> 1:1.4.2-9
- more missing BuildRequires

* Tue Dec 17 2002 Karsten Hopp <karsten@redhat.de> 1:1.4.2-8
- Add jadetex Buildrequires

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 1:1.4.2-7
- include dejagnu.h
- move %%{_libexecdir}/config.guess into %%{_datadir}/dejagnu 
- include overview docs (bug #59095)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 29 2002 Jakub Jelinek <jakub@redhat.com> 1.4.2-4
- fix makefile style variable passing (#63984)

* Thu Feb 28 2002 Jakub Jelinek <jakub@redhat.com> 1.4.2-3
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 28 2001 Jakub Jelinek <jakub@redhat.com> 1.4.2-1
- update to 1.4.2, mainly so that it can be built with gcc3+

* Fri Sep  7 2001 Jakub Jelinek <jakub@redhat.com> 1.4.1-3
- make it noarch again

* Wed Aug 29 2001 Jakub Jelinek <jakub@redhat.com>
- fix a typo (#52404)

* Thu Jun 28 2001 Tim Powers <timp@redhat.com>
- rebuilt for the distro

* Tue Feb 27 2001 Tim Powers <timp@redhat.com>
- minor modifications to the spec file. Built for Powertools.
- added Epoch

* Wed Feb 21 2001 Rob Savoye <rob@welcomehome.org>
- Fixed Requires line, and changed the URL to the new ftp site.

* Sun Oct 31 1999 Rob Savoye <rob@welcomehome.org>
- updated to the latest snapshot
- added doc files
- added the site.exp config file

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated to 19990628
- updated patches as needed
- added %defattr in files section

* Wed Mar 10 1999 Jeff Johnson <jbj@redhat.com>
- add alpha expect patch (#989)
- use %configure

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- Update to 19981215.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-10-29.

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-05-28.

* Sun Feb  1 1998 Jeff Johnson <jbj@jbj.org>
- Create.
 
